using System;
using IO = System.IO;
using GameKnight.Core;

namespace GameKnight.XNA
{
	
	public sealed class InputStream : IO.BinaryReader, IInputStream
	{
		
		public long Length
		{
			get
			{
				return BaseStream.Length;
			}
		}
		
		public long Position
		{
			get
			{
				return BaseStream.Position;
			}
			set
			{
				BaseStream.Position = value;
			}
		}
		
		public InputStream( string Path ) : base( IO.File.OpenRead( Path ) )
		{
			return;
		}
		
	}
	
}

